Bug 1322480 - pyaudio: Provide a Python 3 subpackage
Summary: pyaudio: Provide a Python 3 subpackage
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: pyaudio
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christian Krause
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3
TreeView+ depends on / blocked
 
Reported: 2016-03-30 14:38 UTC by Tomas Orsava
Modified: 2016-11-21 15:55 UTC (History)
4 users (show)

Fixed In Version: pyaudio-0.2.9-1.fc25
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-21 15:55:33 UTC


Attachments (Terms of Use)
Patch to update to latest version and add Python 3 support (3.81 KB, application/mbox)
2016-04-28 12:45 UTC, Petr Viktorin
no flags Details

Description Tomas Orsava 2016-03-30 14:38:34 UTC
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's ok to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 24 as well.


If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file

Comment 1 Dominika Krejčí 2016-04-22 11:46:17 UTC
Hello Christian,

Do you need any help adding Python 3 support to the RPM?

If you need more instructions, a [guide] for porting Python-based RPMs is available.

[guide] http://python-rpm-porting.readthedocs.org/en/latest/index.html

Comment 2 Petr Viktorin 2016-04-28 12:45:19 UTC
Created attachment 1151850 [details]
Patch to update to latest version and add Python 3 support

Hello,
Here is the change needed to add Python 3 support. Could you please review it and do the update?

Comment 3 Tomas Orsava 2016-05-02 10:58:15 UTC
Hi Christian,
as this is a bit of a time sensitive issue, we would really appreciate if you could take a look at it as soon as possible.
If you are time constrained right now, I hope you won't mind if we do the review and push the changes ourselves in case you won't respond in the coming week.

Thank you!

Comment 4 Christian Krause 2016-05-02 22:50:40 UTC
Thanks, Petr, for the patch! I took the opportunity and also did some further cleanup to the spec file.

Rawhide build is already available:
https://koji.fedoraproject.org/koji/buildinfo?buildID=759555

If anything doesn't work, please let me know!

I'll create the updates for the other Fedora releases tomorrow.

Comment 5 Tomas Orsava 2016-05-04 16:35:12 UTC
Hi Christian,
thank you for your work!

You can close the bug now as CLOSED RAWHIDE, or after the updates are in as CLOSED ERRATA.

Comment 6 Jan Kurik 2016-07-26 04:08:21 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 7 Charalampos Stratakis 2016-11-21 15:55:33 UTC
This issue has been resolved, thus closing the bug.


Note You need to log in before you can comment on or make changes to this bug.